# TODO adjust once this is implemented:
# https://bugzilla.redhat.com/show_bug.cgi?id=1935266
%global modname  jaraco
%global projname %{modname}.stream
%global pkgname  %{modname}-stream

%bcond_without tests

Name:           python-%{pkgname}
Version:        3.0.3
Release:        %mkrel 1
Summary:        Routines for dealing with data streams
Group:          Development/Python
License:        MIT
URL:            https://github.com/jaraco/jaraco.stream
Source0:        %{pypi_source %{projname}}

# https://github.com/jaraco/jaraco.stream/pull/5
Patch1:         0001-Require-more_itertools.patch
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
Patch2:         0002-Disable-linters.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%description
Routines for handling streaming data, including a set of generators for
loading gzip data on the fly.

%package     -n python3-%{pkgname}
Summary:        Routines for dealing with data streams
Group:          Development/Python
Requires:       python3-jaraco

%description -n python3-%{pkgname}
Routines for handling streaming data, including a set of generators for
loading gzip data on the fly.

%prep
%autosetup -n %{projname}-%{version}

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%tox
%else
%pyproject_check_import -e jaraco.stream.test_gzip
%endif

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst
# Owned by python3dist(jaraco)
%exclude %dir %{python3_sitelib}/jaraco


%changelog
* Thu Feb 29 2024 daviddavid <daviddavid> 3.0.3-1.mga10
+ Revision: 2045648
- initial package python-jaraco-stream

